libgimpprint API Reference: printers.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/printers.h File Reference

Printer functions. More...

`#include <gimp-print/list.h>`
`#include <gimp-print/vars.h>`

Go to the source code of this file.

## Data Structures
struct | stp_printfuncs_t
struct | stp_family
## Typedefs
typedef stp_printer | stp_printer_t
| The printer opaque data type (representation of printer model).
typedef stp_family | stp_family_t
## Functions
int | stp_printer_model_count (void)
| Get the number of available printer models.
const stp_printer_t * | stp_get_printer_by_index (int idx)
| Get a printer model by its index number.
const stp_printer_t * | stp_get_printer_by_long_name (const char *long_name)
| Get a printer model by its long (translated) name.
const stp_printer_t * | stp_get_printer_by_driver (const char *driver)
| Get a printer model by its short name.
const stp_printer_t * | stp_get_printer (const stp_vars_t *v)
| Get the printer model from a vars object.
int | stp_get_printer_index_by_driver (const char *driver)
| Get the printer index number from the printer model short (driver) name.
const char * | stp_printer_get_long_name (const stp_printer_t *p)
| Get a printer model's long (translated) name.
const char * | stp_printer_get_driver (const stp_printer_t *p)
| Get a printer model's short (driver) name.
const char * | stp_printer_get_family (const stp_printer_t *p)
| Get a printer model's family name.
const char * | stp_printer_get_manufacturer (const stp_printer_t *p)
| Get a printer model's manufacturer's name.
int | stp_printer_get_model (const stp_printer_t *p)
| Get a printer model's model number.
const stp_vars_t * | stp_printer_get_defaults (const stp_printer_t *p)
| Get the default vars for a particular printer model.
void | stp_set_printer_defaults (stp_vars_t *v, const stp_printer_t *p)
| Set a vars object to use a particular driver, and set the parameter to its defaults.
int | stp_print (const stp_vars_t *v, stp_image_t *image)
| Print the image.
int | stp_start_job (const stp_vars_t *v, stp_image_t *image)
| Start a print job.
int | stp_end_job (const stp_vars_t *v, stp_image_t *image)
| End a print job.
int | stp_get_model_id (const stp_vars_t *v)
int | stp_verify_printer_params (stp_vars_t *v)
int | stp_family_register (stp_list_t *family)
int | stp_family_unregister (stp_list_t *family)
void | stp_initialize_printer_defaults (void)
stp_parameter_list_t | stp_printer_list_parameters (const stp_vars_t *v)
void | stp_printer_describe_parameter (const stp_vars_t *v, const char *name, stp_parameter_t *description)
const char * | stp_describe_output (const stp_vars_t *v)

## Detailed Description

Printer functions.

Definition in file printers.h.